{library_calls/log_hlp.i}

run log-it (input "input_parameter_unsupported_4gl_types start").

/* don't pass unknown value here, as it's error will take precedence! */
/* Mismatch in the parameter datatypes in DLL procedure input_uint8_cdecl library_calls/input/input_parameter_unsupported_4gl_types.p. (3231) */

{library_calls/libname.i}

def var d1 as date init today.
def var d2 as datetime init now.
def var d3 as datetime-tz init now.
def var h as handle.
def var l as logical.
def var r1 as raw.
def var r2 as recid.
def var r3 as rowid.

h = error-status.
put-string(r1, 1) = "bogus".

def temp-table bogus field num as int.
create bogus.
r2 = recid(bogus).
r3 = rowid(bogus).

run input_uint8_cdecl (input d1) no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Unexpected result for type date (" d1 ").".

run input_uint8_cdecl (input d2) no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Unexpected result for type datetime (" d2 ").".

run input_uint8_cdecl (input d3) no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Unexpected result for type datetime-tz (" d3 ").".

run input_uint8_cdecl (input h) no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Unexpected result for type handle (" h ").".

run input_uint8_cdecl (input l) no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Unexpected result for type logical (" l ").".

run input_uint8_cdecl (input r1) no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Unexpected result for type raw (" string(r1) ").".

run input_uint8_cdecl (input r2) no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Unexpected result for type recid (" r2 ").".

run input_uint8_cdecl (input r3) no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Unexpected result for type rowid (" string(r3) ").".
 
procedure input_uint8_cdecl external "{&libname}":
   def input parameter num as long.
end.

run log-it (input "input_parameter_unsupported_4gl_types end").
