{library_calls/log_hlp.i}

run log-it (input "output_parameter_char_silently_fails start").

{library_calls/libname.i}

/* these must be big enough to hold the changes otherwise you might see an error like */
/* Your LONGCHAR buffer has been overrun.  Memory has been corrupted. (14528) */
def var txt as character init "012345678901234567890123456789012345678901234567890123456789".
def var ltxt as longchar init "012345678901234567890123456789012345678901234567890123456789".

/* the 4GL docs state that the ABL does not allow you to use output with character or longchar; */
/* BUT it turns out that it works fine on v10.2B */

run output_char_ptr_cdecl (output txt).
if txt ne "This is sample text!" then message "Expected no change to variable but txt = '" + txt + "'".
run output_char_ptr_cdecl (output ltxt).
if ltxt ne "This is sample text!" then message "Expected no change to variable but ltxt = '" + ltxt + "'".
   
release external "{&libname}". 

procedure output_char_ptr_cdecl external "{&libname}" persistent:
   /* using this form makes no difference: def output parameter ptr as handle to character. */
   def output parameter ptr as character.
end.

run log-it (input "output_parameter_char_silently_fails end").
