{library_calls/log_hlp.i}

run log-it (input "{&apiname} reading {&apitype} into decimal start").

{library_calls/libname.i}

if (sz * 2) ne extent(dnum_array) then message "ERROR: hard coded extent size" extent(dnum_array) "should be set to" (sz * 2) "!". 

do i = 1 to sz:

   /* pass a value (from the reversed array of decimals copied out of the DLL) */
   dnum = d-input[i].

   err-flag = true.
   inner:
   do on error undo, leave inner:
      run {&apiname} (input dnum).
      err-flag = false.
   end.
   if err-flag then
      message "Failure occured in {&apiname}() - {&apitype} into decimal for entry: " i ".".
end.

run {&apiname}_array (input dnum_array).

procedure {&apiname} external "{&libname}" {&callconv}:
   define input parameter d as {&apitype}.
end.

procedure {&apiname}_array external "{&libname}" {&callconv}:
   define input parameter d as {&apitype}.
end.

run log-it (input "{&apiname} reading {&apitype} into decimal end").
