{library_calls/log_hlp.i}

run log-it (input "input_parameter_handle_to_option_matters start").

{library_calls/libname.i}

def var num as int64 init 30.

/* the HANDLE TO option for an INPUT parameter DOES pass the data as a pointer BUT any changes are NOT COPIED BACK */

run input_int64_ptr_cdecl (input num).
if num ne 30 then message "Expected the data to be unchanged as a 30, but the DLL changed the data to " num.

release external "{&libname}".

procedure input_int64_ptr_cdecl external "{&libname}" persistent:
   def input parameter ptr as handle to int64.
end.

run log-it (input "input_parameter_handle_to_option_matters end").
