{library_calls/log_hlp.i}
run log-it (input "polymorphic_type_support start").

function num-as-text returns char (input num as int):
   return string(num).
end.

/* normal 4GL procedures have some level of automatic type morphing, BUT */
/* the native API support is much more picky (which is good); BOTH cases below cause: */
/* Mismatch in the parameter datatypes in DLL procedure input_int32_cdecl library_calls/misc/polymorphic_type_support.p. (3231) */

run input_int32_cdecl (input "0") no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Expected error 3231 for mismatching parameter type (1). Got '" + error-status:get-message(1) + "'.".

run input_int32_cdecl (dynamic-function("num-as-text", 14)) no-error.
if not error-status:error or not error-status:get-number(1) eq 3231 then message "Expected error 3231 for mismatching parameter type (2). Got '" + error-status:get-message(1) + "'.".
   
run log-it (input "polymorphic_type_support end").

{library_calls/libname.i}

procedure input_int32_cdecl external "{&libname}" cdecl:
   define input parameter i as long.
end.

