{library_calls/log_hlp.i}

run log-it (input "return_parameter_char_silently_fails start").

{library_calls/libname.i}

def var txt as character init "bogus".
def var ltxt as longchar init "bogus".

/* the 4GL docs state that the ABL does not allow you to use return with character or longchar; */
/* some online dicsussions suggested that from v9 to v10, the runtime changed to generate a */
/* runtime error 12200 BUT in v10.2B we see a silent execution with no data changed */

run return_char_ptr_cdecl (output txt).
if txt ne "bogus" then message "Expected no change to variable but txt = '" + txt + "'".
run return_char_ptr_cdecl (output ltxt).
if ltxt ne "bogus" then message "Expected no change to variable but ltxt = '" + ltxt + "'".
   
release external "{&libname}". 

procedure return_char_ptr_cdecl external "{&libname}" persistent:
   /* using this form makes no difference: def return parameter ptr as handle to character. */
   def return parameter ptr as character.
end.

run log-it (input "return_parameter_char_silently_fails end").
